[arch-commits] Commit in eric/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Mon Nov 9 14:34:52 EST 2009


    Date: Monday, November 9, 2009 @ 14:34:51
  Author: andrea
Revision: 58586

upgpkg: eric 4.3.9-1
    upstream release

Modified:
  eric/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-09 17:39:21 UTC (rev 58585)
+++ PKGBUILD	2009-11-09 19:34:51 UTC (rev 58586)
@@ -1,9 +1,9 @@
 # $Id$
-# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Eric Belanger <eric at archlinux.org>
 # Contributor: riai <riai at bigfoot.com>, Ben <ben at benmazer.net>
 
 pkgname=eric
-pkgver=4.3.8
+pkgver=4.3.9
 pkgrel=1
 pkgdesc="A full-featured Python IDE that is written in PyQt4 using the QScintilla2 editor widget"
 arch=('any')
@@ -13,16 +13,17 @@
 conflicts=('eric4')
 replaces=('eric4')
 install=eric.install
-source=(http://downloads.sourceforge.net/sourceforge/eric-ide/eric4-${pkgver}.tar.gz eric.desktop)
-md5sums=('528fabc0cc57171143fe801282b9f2c3' '77c494bb839c5744869d34355ea69095')
-sha1sums=('e9479c09fba9b82068fa304cd07be13a34a75e26' '7529658c06e6c5c9ab587f0d18a2eafd42b87fee')
+source=(http://downloads.sourceforge.net/eric-ide/eric4-${pkgver}.tar.gz
+	'eric.desktop')
+md5sums=('5bb853cb716df0c2c4e416799169277f'
+	'77c494bb839c5744869d34355ea69095')
 
 build() {
   cd "${srcdir}/eric4-${pkgver}"
 
-  python install.py -c -b /usr/bin -d /usr/lib/python2.6/site-packages -i "${pkgdir}"
+  python install.py -c -b /usr/bin -d /usr/lib/python2.6/site-packages -i "${pkgdir}" || return 1
 
-  install -D -m644 ../eric.desktop "${pkgdir}/usr/share/applications/eric.desktop" || return 1
+  install -D -m644 ${srcdir}/eric.desktop "${pkgdir}/usr/share/applications/eric.desktop" || return 1
   install -D -m644 eric/icons/default/eric.png "${pkgdir}/usr/share/pixmaps/eric.png" || return 1
 
 # Creating version independant symlinks



More information about the arch-commits mailing list